function plot_Calibration( hMainFig, hPlotAxes, nPlot )

% Get tsg application data
% ------------------------
tsg  = getappdata( hMainFig, 'tsg_data');

switch nPlot
  
  % ---------------------------------------------------------------------
  % Plot SSPS and SSPS_CAL
  case 1
    
    erase_Line( hPlotAxes, 1 );
    if ~isempty( tsg.SSPS )
      plot_Tsg( hMainFig, hPlotAxes, 1, tsg.DAYD, tsg.SSPS, [],...
                'SSPS','k','none','*',2);
    end
    
    if ~isempty( tsg.SSPS_CAL )
      plot_Tsg( hMainFig, hPlotAxes, 1, tsg.DAYD, tsg.SSPS_CAL, [],...
                'SSPS_CAL','r','none','*',2);
    end

  % ---------------------------------------------------------------------
  % Plot SSPS in Black and SSPS with no position value in Red
  case 2
    
    erase_Line( hPlotAxes, 2 );
    if ~isempty( tsg.SSPS )
      plot_Tsg( hMainFig, hPlotAxes, 2, tsg.DAYD, tsg.SSPS,[],...
                'SSPS','k','none','*',2);
    end
    
    ind = find( isnan(tsg.LATX) == 1 );
    if ~isempty( ind )
      plot_Tsg( hMainFig, hPlotAxes, 2, tsg.DAYD(ind), tsg.SSPS(ind),[],...
        'SSPS_NaN','r','none','*',2);
    end

    
  % ---------------------------------------------------------------------
  case 3
    erase_Line( hPlotAxes, 3 );
    %set( hplotAxes(3), 'Visible', 'off' );
end

axesCommonProp( hPlotAxes );

end
